# Interface SessionSaveData

interface SessionSaveData {
arena : default ;
battleType : BattleType ;
challenges : default [];
enemyModifiers : default [];
enemyParty : default [];
gameMode : GameModes ;
gameVersion : string;
modifiers : default [];
money : number;
party : default [];
playTime : number;
pokeballCounts : PokeballCounts ;
score : number;
seed : string;
timestamp : number;
trainer : default ;
waveIndex : number;
}

- Defined in src/system/game-data.ts:94

#####
Index

### Properties

arena
battleType
challenges
enemyModifiers
enemyParty
gameMode
gameVersion
modifiers
money
party
playTime
pokeballCounts
score
seed
timestamp
trainer
waveIndex

## Properties

### arena

arena: default

- Defined in src/system/game-data.ts:102

### battleType

battleType: BattleType

- Defined in src/system/game-data.ts:107

### challenges

challenges: default []

- Defined in src/system/game-data.ts:111

### enemyModifiers

enemyModifiers: default []

- Defined in src/system/game-data.ts:101

### enemyParty

enemyParty: default []

- Defined in src/system/game-data.ts:99

### gameMode

gameMode: GameModes

- Defined in src/system/game-data.ts:97

### gameVersion

gameVersion: string

- Defined in src/system/game-data.ts:109

### modifiers

modifiers: default []

- Defined in src/system/game-data.ts:100

### money

money: number

- Defined in src/system/game-data.ts:104

### party

party: default []

- Defined in src/system/game-data.ts:98

### playTime

playTime: number

- Defined in src/system/game-data.ts:96

### pokeballCounts

pokeballCounts: PokeballCounts

- Defined in src/system/game-data.ts:103

### score

score: number

- Defined in src/system/game-data.ts:105

### seed

seed: string

- Defined in src/system/game-data.ts:95

### timestamp

timestamp: number

- Defined in src/system/game-data.ts:110

### trainer

trainer: default

- Defined in src/system/game-data.ts:108

### waveIndex

waveIndex: number

- Defined in src/system/game-data.ts:106